%global	gem_name	ruby-ntlm
%global	rubyabi	1.9.1

Summary:	NTLM implementation for Ruby
Name:		rubygem-%{gem_name}
Version:	0.0.1
Release:	1%{?dist}

Group: Development/Languages
# README.markdown
License:	MIT
URL:		http://github.com/macks/ruby-ntlm
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems)
Requires:	ruby
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems-devel 
BuildRequires:	ruby
# %%check
BuildRequires:	rubygem(minitest)

BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}-%{release}

%description
NTLM implementation for Ruby.


%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T

TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
mkdir -p .%{gem_dir}
gem install \
	--local \
	--install-dir .%{gem_dir} \
	-V \
	--force \
	%{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
for f in test/*_test.rb
do
	ruby -Ilib:. $f
done
popd


%files
%dir	%{gem_instdir}
%doc	%{gem_instdir}/[A-Z]*
%exclude	%{gem_instdir}/Rakefile

%{gem_libdir}
%exclude	%{gem_cache}
%{gem_spec}

%files doc
%doc	%{gem_docdir}
%doc	%{gem_instdir}/examples/
%exclude	%{gem_instdir}/test/
%exclude	%{gem_instdir}/unused/

%changelog
* Sun Jan 27 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.0.1-1
- Initial package
